#include <linux/config.h>
#include <linux/module.h>
#include <linux/fs.h>

extern int I2CWrite(int module, int subaddress, unsigned char *data, int len);

/* write one byte to a i2c module */
static int iicw1(int module, int subaddress, unsigned char v)
{
	return I2CWrite(module, subaddress, &v, 1);
}

int init_module(void)
{
	iicw1(0x42, 0x08, 0x98);
	iicw1(0x42, 0x03, 0x33);
	iicw1(0x42, 0x04, 0x49);
	iicw1(0x42, 0x05, 0x49);
	iicw1(0x42, 0x09, 0x00);
	iicw1(0x42, 0x0e, 0x04);
	iicw1(0x42, 0x0f, 0x00);
	iicw1(0x42, 0x86, 0x40);
	iicw1(0x42, 0x9a, 0x22);
	iicw1(0x42, 0x9b, 0x1);

	printk("PAL support enabled");
	return 0;
}

void cleanup_module(void)
{

}
